#ifndef _STATUS_VIEW_H
#	define _STATUS_VIEW_H

#include <interface/View.h>
#include <kernel/OS.h>

#define STAT_MESS_SIZE 100

class StatusView;

class StatusView: public BView {
private:
	sem_id output_sem;
	char stat_mess[STAT_MESS_SIZE];
	font_height font_info;
	
public:
	StatusView(BRect frame, const char *name);
	
	void AttachedToWindow();
	void Draw(BRect update_rect);
	void SetText(const char *string);
};

#endif
